All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.geometry
Class VerticalOrientation

    com.sas.geometry.VerticalOrientation

    public abstract class VerticalOrientation

VerticalOrientation defines a set of constants for identifying a vertical position and a method for determining whether a given integer is one of them.

See Also:
  `Orientations`, `Orientation`, `CircularOrientation`, `CornerOrientation`, `HorizontalOrientation`, `RectangularOrientation`, `SideOrientation`

Field Summary
`static int` | `BOTTOM`
`static int` | `FULL`
`static int` | `MIDDLE`
`static int` | `MIDDLE_BOTTOM`
`static int` | `MIDDLE_TOP`
`static int` | `TOP`

Constructor Summary
`VerticalOrientation()`

Method Summary
`static boolean` | `validate(int orientation)` Determines whether a given integer value is one of the defined orientations or a combination thereof.

Field Detail

### TOP

    public static final int TOP

See Also:
  Constant Field Values

### MIDDLE

    public static final int MIDDLE

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### FULL

    public static final int FULL

See Also:
  Constant Field Values

### MIDDLE_TOP

    public static final int MIDDLE_TOP

See Also:
  Constant Field Values

### MIDDLE_BOTTOM

    public static final int MIDDLE_BOTTOM

See Also:
  Constant Field Values

Constructor Detail

### VerticalOrientation

    public VerticalOrientation()

Method Detail

### validate

    public static boolean validate(int orientation)

  Determines whether a given integer value is one of the defined orientations or a combination thereof.

  Parameters:
    `orientation` - The integer value to validate.
  Returns:
    true if orientation is one of the defined ones and false otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.